Subject: Re: bug#75574: Adaptive read buffering is a pessimization

From: Daniel Colascione <[email-masked]>
Date: Mon, 10 Feb 2025 13:49:14 -0800

On February 10, 2025 12:55:58 PM PST, Stefan Kangas <[email-masked]> wrote:
>Eli Zaretskii <[email-masked]> writes:
>
>> It wasn't just a good idea, though.  It actually helped fix some use
>> cases.
>
>There is evidence that setting it to nil solved issues too:
>
>https://yhetil.org/emacs-bugs/[email-masked]/
>https://yhetil.org/emacs-bugs/[email-masked]/
>https://yhetil.org/emacs-bugs/[email-masked]/
>
>> We could begin by setting this variable nil by default and see if
>> someone complains.  If enough time has passed without any complaints,
>> we could then consider actually removing the feature.
>
>So let's do that.  I have now changed the default on master (commit
>8437bcb5c96).
>
>Does anyone object to also marking the variable as obsolete now?

Thanks. I hadn't gotten around to doing it myself. Obsolete sounds good to me.